# Class MailFileStore

Store
org.apache.jmeter.protocol.mail.sampler.MailFileStore

public class MailFileStore extends Store

## Constructor Summary

Constructors
Constructor
Description
`MailFileStore(Session s, URLName u)`

## Method Summary

Modifier and Type
Method
Description
`Folder`
`getDefaultFolder()`
`Folder`
`getFolder(String path)`
`Folder`
`getFolder(URLName path)`
`protected boolean`
`protocolConnect(String host, int port, String user, String password)`

## Constructor Details

### MailFileStore

public MailFileStore(Session s, URLName u)

## Method Details

### protocolConnect

protected boolean protocolConnect(String host, int port, String user, String password) throws MessagingException

Throws:
  `MessagingException`

### getDefaultFolder

public Folder getDefaultFolder() throws MessagingException

Throws:
  `MessagingException`

### getFolder

public Folder getFolder(String path) throws MessagingException

Throws:
  `MessagingException`

### getFolder

public Folder getFolder(URLName path) throws MessagingException

Throws:
  `MessagingException`